This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 858103

Summary: SyntaxError using mock to build package from source rpms
Product: [Fedora] Fedora EPEL Reporter: Dean T. Hu <dean.hu>
Component: mockAssignee: Clark Williams <williams>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el5CC: mebrown, valtri, williams
Target Milestone: ---   
Target Release: ---   
Hardware: noarch   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-14 17:27:51 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dean T. Hu 2012-09-17 21:07:12 EDT
Description of problem:
Intermittent build failures with symptoms:

Traceback (most recent call last):
  File "/usr/sbin/mock", line 66, in ?
    import mockbuild.backend
  File "/usr/lib/python2.4/site-packages/mockbuild/backend.py", line 702
    except Exception as e:
                      ^
SyntaxError: invalid syntax

Version-Release number of selected component (if applicable):
mock-1.0.35-1.el5

How reproducible:
Using mock to build a package

Steps to Reproduce:
1.Can happen on any build
  
Actual results:
Build fails

Expected results:
Build succeeds

Additional info:
Never saw this error with mock-1.0.34-1.el5
Comment 1 Clark Williams 2013-03-14 17:27:51 EDT
Believe this is fixed in 1.0.37. Closing as CURRENTRELEASE